- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
WKSDocumentParsingState Struct Reference

the document state More...

## Public Member Functions
| WKSDocumentParsingState (std::vector< WPSPageSpan > const &pageList)
| constructor More...
| ~WKSDocumentParsingState ()
| destructor More...

## Public Attributes
std::vector< WPSPageSpan > | m_pageList
librevenge::RVNGPropertyList | m_metaData
bool | m_isDocumentStarted
bool | m_isHeaderFooterStarted
std::vector< WPSSubDocumentPtr > | m_subDocuments
std::map< WPSCellFormat, int, WPSCellFormat::CompareFormat > | m_numberingIdMap
| list of document actually open More...

## Private Member Functions
| WKSDocumentParsingState (const WKSDocumentParsingState &)
WKSDocumentParsingState & | operator= (const WKSDocumentParsingState &)

## Detailed Description

the document state

## Constructor & Destructor Documentation

WKSDocumentParsingState::WKSDocumentParsingState | ( | std::vector< WPSPageSpan > const & | pageList | ) |
| explicit

constructor

WKSDocumentParsingState::~WKSDocumentParsingState | ( |  | ) |

destructor

WKSDocumentParsingState::WKSDocumentParsingState | ( | const WKSDocumentParsingState & |  | ) |
| private

## Member Function Documentation

WKSDocumentParsingState& WKSDocumentParsingState::operator= | ( | const WKSDocumentParsingState & |  | ) |
| private

## Member Data Documentation

bool WKSDocumentParsingState::m_isDocumentStarted

bool WKSDocumentParsingState::m_isHeaderFooterStarted

librevenge::RVNGPropertyList WKSDocumentParsingState::m_metaData

std::map<WPSCellFormat,int,WPSCellFormat::CompareFormat> WKSDocumentParsingState::m_numberingIdMap

list of document actually open

a map cell's format to id

std::vector<WPSPageSpan> WKSDocumentParsingState::m_pageList

std::vector<WPSSubDocumentPtr> WKSDocumentParsingState::m_subDocuments

The documentation for this struct was generated from the following file:

- WKSContentListener.cpp